diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/shortcode.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/shortcode.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/shortcode.js	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/shortcode.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 0 ****
--- 1,342 ----
+ // Utility functions for parsing and handling shortcodes in Javascript.
+ 
+ // Ensure the global `wp` object exists.
+ window.wp = window.wp || {};
+ 
+ (function(){
+ 	wp.shortcode = {
+ 		// ### Find the next matching shortcode
+ 		//
+ 		// Given a shortcode `tag`, a block of `text`, and an optional starting
+ 		// `index`, returns the next matching shortcode or `undefined`.
+ 		//
+ 		// Shortcodes are formatted as an object that contains the match
+ 		// `content`, the matching `index`, and the parsed `shortcode` object.
+ 		next: function( tag, text, index ) {
+ 			var re = wp.shortcode.regexp( tag ),
+ 				match, result;
+ 
+ 			re.lastIndex = index || 0;
+ 			match = re.exec( text );
+ 
+ 			if ( ! match )
+ 				return;
+ 
+ 			// If we matched an escaped shortcode, try again.
+ 			if ( match[1] === '[' && match[7] === ']' )
+ 				return wp.shortcode.next( tag, text, re.lastIndex );
+ 
+ 			result = {
+ 				index:     match.index,
+ 				content:   match[0],
+ 				shortcode: wp.shortcode.fromMatch( match )
+ 			};
+ 
+ 			// If we matched a leading `[`, strip it from the match
+ 			// and increment the index accordingly.
+ 			if ( match[1] ) {
+ 				result.match = result.match.slice( 1 );
+ 				result.index++;
+ 			}
+ 
+ 			// If we matched a trailing `]`, strip it from the match.
+ 			if ( match[7] )
+ 				result.match = result.match.slice( 0, -1 );
+ 
+ 			return result;
+ 		},
+ 
+ 		// ### Replace matching shortcodes in a block of text
+ 		//
+ 		// Accepts a shortcode `tag`, content `text` to scan, and a `callback`
+ 		// to process the shortcode matches and return a replacement string.
+ 		// Returns the `text` with all shortcodes replaced.
+ 		//
+ 		// Shortcode matches are objects that contain the shortcode `tag`,
+ 		// a shortcode `attrs` object, the `content` between shortcode tags,
+ 		// and a boolean flag to indicate if the match was a `single` tag.
+ 		replace: function( tag, text, callback ) {
+ 			return text.replace( wp.shortcode.regexp( tag ), function( match, left, tag, attrs, slash, content, closing, right, offset ) {
+ 				// If both extra brackets exist, the shortcode has been
+ 				// properly escaped.
+ 				if ( left === '[' && right === ']' )
+ 					return match;
+ 
+ 				// Create the match object and pass it through the callback.
+ 				var result = callback( wp.shortcode.fromMatch( arguments ) );
+ 
+ 				// Make sure to return any of the extra brackets if they
+ 				// weren't used to escape the shortcode.
+ 				return result ? left + result + right : match;
+ 			});
+ 		},
+ 
+ 		// ### Generate a string from shortcode parameters
+ 		//
+ 		// Creates a `wp.shortcode` instance and returns a string.
+ 		//
+ 		// Accepts the same `options` as the `wp.shortcode()` constructor,
+ 		// containing a `tag` string, a string or object of `attrs`, a boolean
+ 		// indicating whether to format the shortcode using a `single` tag, and a
+ 		// `content` string.
+ 		string: function( options ) {
+ 			return new wp.shortcode( options ).string();
+ 		},
+ 
+ 		// ### Generate a RegExp to identify a shortcode
+ 		//
+ 		// The base regex is functionally equivalent to the one found in
+ 		// `get_shortcode_regex()` in `wp-includes/shortcodes.php`.
+ 		//
+ 		// Capture groups:
+ 		//
+ 		// 1. An extra `[` to allow for escaping shortcodes with double `[[]]`
+ 		// 2. The shortcode name
+ 		// 3. The shortcode argument list
+ 		// 4. The self closing `/`
+ 		// 5. The content of a shortcode when it wraps some content.
+ 		// 6. The closing tag.
+ 		// 7. An extra `]` to allow for escaping shortcodes with double `[[]]`
+ 		regexp: _.memoize( function( tag ) {
+ 			return new RegExp( '\\[(\\[?)(' + tag + ')(?![\\w-])([^\\]\\/]*(?:\\/(?!\\])[^\\]\\/]*)*?)(?:(\\/)\\]|\\](?:([^\\[]*(?:\\[(?!\\/\\2\\])[^\\[]*)*)(\\[\\/\\2\\]))?)(\\]?)', 'g' );
+ 		}),
+ 
+ 
+ 		// ### Parse shortcode attributes
+ 		//
+ 		// Shortcodes accept many types of attributes. These can chiefly be
+ 		// divided into named and numeric attributes:
+ 		//
+ 		// Named attributes are assigned on a key/value basis, while numeric
+ 		// attributes are treated as an array.
+ 		//
+ 		// Named attributes can be formatted as either `name="value"`,
+ 		// `name='value'`, or `name=value`. Numeric attributes can be formatted
+ 		// as `"value"` or just `value`.
+ 		attrs: _.memoize( function( text ) {
+ 			var named   = {},
+ 				numeric = [],
+ 				pattern, match;
+ 
+ 			// This regular expression is reused from `shortcode_parse_atts()`
+ 			// in `wp-includes/shortcodes.php`.
+ 			//
+ 			// Capture groups:
+ 			//
+ 			// 1. An attribute name, that corresponds to...
+ 			// 2. a value in double quotes.
+ 			// 3. An attribute name, that corresponds to...
+ 			// 4. a value in single quotes.
+ 			// 5. An attribute name, that corresponds to...
+ 			// 6. an unquoted value.
+ 			// 7. A numeric attribute in double quotes.
+ 			// 8. An unquoted numeric attribute.
+ 			pattern = /(\w+)\s*=\s*"([^"]*)"(?:\s|$)|(\w+)\s*=\s*\'([^\']*)\'(?:\s|$)|(\w+)\s*=\s*([^\s\'"]+)(?:\s|$)|"([^"]*)"(?:\s|$)|(\S+)(?:\s|$)/g;
+ 
+ 			// Map zero-width spaces to actual spaces.
+ 			text = text.replace( /[\u00a0\u200b]/g, ' ' );
+ 
+ 			// Match and normalize attributes.
+ 			while ( (match = pattern.exec( text )) ) {
+ 				if ( match[1] ) {
+ 					named[ match[1].toLowerCase() ] = match[2];
+ 				} else if ( match[3] ) {
+ 					named[ match[3].toLowerCase() ] = match[4];
+ 				} else if ( match[5] ) {
+ 					named[ match[5].toLowerCase() ] = match[6];
+ 				} else if ( match[7] ) {
+ 					numeric.push( match[7] );
+ 				} else if ( match[8] ) {
+ 					numeric.push( match[8] );
+ 				}
+ 			}
+ 
+ 			return {
+ 				named:   named,
+ 				numeric: numeric
+ 			};
+ 		}),
+ 
+ 		// ### Generate a Shortcode Object from a RegExp match
+ 		// Accepts a `match` object from calling `regexp.exec()` on a `RegExp`
+ 		// generated by `wp.shortcode.regexp()`. `match` can also be set to the
+ 		// `arguments` from a callback passed to `regexp.replace()`.
+ 		fromMatch: function( match ) {
+ 			var type;
+ 
+ 			if ( match[4] )
+ 				type = 'self-closing';
+ 			else if ( match[6] )
+ 				type = 'closed';
+ 			else
+ 				type = 'single';
+ 
+ 			return new wp.shortcode({
+ 				tag:     match[2],
+ 				attrs:   match[3],
+ 				type:    type,
+ 				content: match[5]
+ 			});
+ 		}
+ 	};
+ 
+ 
+ 	// Shortcode Objects
+ 	// -----------------
+ 	//
+ 	// Shortcode objects are generated automatically when using the main
+ 	// `wp.shortcode` methods: `next()`, `replace()`, and `string()`.
+ 	//
+ 	// To access a raw representation of a shortcode, pass an `options` object,
+ 	// containing a `tag` string, a string or object of `attrs`, a string
+ 	// indicating the `type` of the shortcode ('single', 'self-closing', or
+ 	// 'closed'), and a `content` string.
+ 	wp.shortcode = _.extend( function( options ) {
+ 		_.extend( this, _.pick( options || {}, 'tag', 'attrs', 'type', 'content' ) );
+ 
+ 		var attrs = this.attrs;
+ 
+ 		// Ensure we have a correctly formatted `attrs` object.
+ 		this.attrs = {
+ 			named:   {},
+ 			numeric: []
+ 		};
+ 
+ 		if ( ! attrs )
+ 			return;
+ 
+ 		// Parse a string of attributes.
+ 		if ( _.isString( attrs ) ) {
+ 			this.attrs = wp.shortcode.attrs( attrs );
+ 
+ 		// Identify a correctly formatted `attrs` object.
+ 		} else if ( _.isEqual( _.keys( attrs ), [ 'named', 'numeric' ] ) ) {
+ 			this.attrs = attrs;
+ 
+ 		// Handle a flat object of attributes.
+ 		} else {
+ 			_.each( options.attrs, function( value, key ) {
+ 				this.set( key, value );
+ 			}, this );
+ 		}
+ 	}, wp.shortcode );
+ 
+ 	_.extend( wp.shortcode.prototype, {
+ 		// ### Get a shortcode attribute
+ 		//
+ 		// Automatically detects whether `attr` is named or numeric and routes
+ 		// it accordingly.
+ 		get: function( attr ) {
+ 			return this.attrs[ _.isNumber( attr ) ? 'numeric' : 'named' ][ attr ];
+ 		},
+ 
+ 		// ### Set a shortcode attribute
+ 		//
+ 		// Automatically detects whether `attr` is named or numeric and routes
+ 		// it accordingly.
+ 		set: function( attr, value ) {
+ 			this.attrs[ _.isNumber( attr ) ? 'numeric' : 'named' ][ attr ] = value;
+ 			return this;
+ 		},
+ 
+ 		// ### Transform the shortcode match into a string
+ 		string: function() {
+ 			var text    = '[' + this.tag;
+ 
+ 			_.each( this.attrs.numeric, function( value ) {
+ 				if ( /\s/.test( value ) )
+ 					text += ' "' + value + '"';
+ 				else
+ 					text += ' ' + value;
+ 			});
+ 
+ 			_.each( this.attrs.named, function( value, name ) {
+ 				text += ' ' + name + '="' + value + '"';
+ 			});
+ 
+ 			// If the tag is marked as `single` or `self-closing`, close the
+ 			// tag and ignore any additional content.
+ 			if ( 'single' === this.type )
+ 				return text + ']';
+ 			else if ( 'self-closing' === this.type )
+ 				return text + ' /]';
+ 
+ 			// Complete the opening tag.
+ 			text += ']';
+ 
+ 			if ( this.content )
+ 				text += this.content;
+ 
+ 			// Add the closing tag.
+ 			return text + '[/' + this.tag + ']';
+ 		}
+ 	});
+ }());
+ 
+ // HTML utility functions
+ // ----------------------
+ //
+ // Experimental. These functions may change or be removed in the future.
+ (function(){
+ 	wp.html = _.extend( wp.html || {}, {
+ 		// ### Parse HTML attributes.
+ 		//
+ 		// Converts `content` to a set of parsed HTML attributes.
+ 		// Utilizes `wp.shortcode.attrs( content )`, which is a valid superset of
+ 		// the HTML attribute specification. Reformats the attributes into an
+ 		// object that contains the `attrs` with `key:value` mapping, and a record
+ 		// of the attributes that were entered using `empty` attribute syntax (i.e.
+ 		// with no value).
+ 		attrs: function( content ) {
+ 			var result, attrs;
+ 
+ 			// If `content` ends in a slash, strip it.
+ 			if ( '/' === content[ content.length - 1 ] )
+ 				content = content.slice( 0, -1 );
+ 
+ 			result = wp.shortcode.attrs( content );
+ 			attrs  = result.named;
+ 
+ 			_.each( result.numeric, function( key ) {
+ 				if ( /\s/.test( key ) )
+ 					return;
+ 
+ 				attrs[ key ] = '';
+ 			});
+ 
+ 			return attrs;
+ 		},
+ 
+ 		// ### Convert an HTML-representation of an object to a string.
+ 		string: function( options ) {
+ 			var text = '<' + options.tag,
+ 				content = options.content || '';
+ 
+ 			_.each( options.attrs, function( value, attr ) {
+ 				text += ' ' + attr;
+ 
+ 				// Use empty attribute notation where possible.
+ 				if ( '' === value )
+ 					return;
+ 
+ 				// Convert boolean values to strings.
+ 				if ( _.isBoolean( value ) )
+ 					value = value ? 'true' : 'false';
+ 
+ 				text += '="' + value + '"';
+ 			});
+ 
+ 			// Return the result if it is a self-closing tag.
+ 			if ( options.single )
+ 				return text + ' />';
+ 
+ 			// Complete the opening tag.
+ 			text += '>';
+ 
+ 			// If `content` is an object, recursively call this function.
+ 			text += _.isObject( content ) ? wp.html.string( content ) : content;
+ 
+ 			return text + '</' + options.tag + '>';
+ 		}
+ 	});
+ }());
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/thickbox/thickbox.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/thickbox/thickbox.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/thickbox/thickbox.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/thickbox/thickbox.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 8,16 ****
  if ( typeof tb_pathToImage != 'string' ) {
  	var tb_pathToImage = thickboxL10n.loadingAnimation;
  }
- if ( typeof tb_closeImage != 'string' ) {
- 	var tb_closeImage = thickboxL10n.closeImage;
- }
  
  /*!!!!!!!!!!!!!!!!! edit below this line at your own risk !!!!!!!!!!!!!!!!!!!!!!!*/
  
--- 8,13 ----
***************
*** 59,65 ****
  		}
  
  		if(caption===null){caption="";}
! 		jQuery("body").append("<div id='TB_load'><img src='"+imgLoader.src+"' /></div>");//add loader to the page
  		jQuery('#TB_load').show();//show loader
  
  		var baseURL;
--- 56,62 ----
  		}
  
  		if(caption===null){caption="";}
! 		jQuery("body").append("<div id='TB_load'><img src='"+imgLoader.src+"' width='208' /></div>");//add loader to the page
  		jQuery('#TB_load').show();//show loader
  
  		var baseURL;
***************
*** 132,138 ****
  
  			TB_WIDTH = imageWidth + 30;
  			TB_HEIGHT = imageHeight + 60;
! 			jQuery("#TB_window").append("<a href='' id='TB_ImageOff' title='"+thickboxL10n.close+"'><img id='TB_Image' src='"+url+"' width='"+imageWidth+"' height='"+imageHeight+"' alt='"+caption+"'/></a>" + "<div id='TB_caption'>"+caption+"<div id='TB_secondLine'>" + TB_imageCount + TB_PrevHTML + TB_NextHTML + "</div></div><div id='TB_closeWindow'><a href='#' id='TB_closeWindowButton' title='"+thickboxL10n.close+"'><img src='" + tb_closeImage + "' /></a></div>");
  
  			jQuery("#TB_closeWindowButton").click(tb_remove);
  
--- 129,135 ----
  
  			TB_WIDTH = imageWidth + 30;
  			TB_HEIGHT = imageHeight + 60;
! 			jQuery("#TB_window").append("<a href='' id='TB_ImageOff' title='"+thickboxL10n.close+"'><img id='TB_Image' src='"+url+"' width='"+imageWidth+"' height='"+imageHeight+"' alt='"+caption+"'/></a>" + "<div id='TB_caption'>"+caption+"<div id='TB_secondLine'>" + TB_imageCount + TB_PrevHTML + TB_NextHTML + "</div></div><div id='TB_closeWindow'><a href='#' id='TB_closeWindowButton' title='"+thickboxL10n.close+"'><div class='tb-close-icon'></div></a></div>");
  
  			jQuery("#TB_closeWindowButton").click(tb_remove);
  
***************
*** 200,206 ****
  					urlNoQuery = url.split('TB_');
  					jQuery("#TB_iframeContent").remove();
  					if(params['modal'] != "true"){//iframe no modal
! 						jQuery("#TB_window").append("<div id='TB_title'><div id='TB_ajaxWindowTitle'>"+caption+"</div><div id='TB_closeAjaxWindow'><a href='#' id='TB_closeWindowButton' title='"+thickboxL10n.close+"'><img src='" + tb_closeImage + "' /></a></div></div><iframe frameborder='0' hspace='0' src='"+urlNoQuery[0]+"' id='TB_iframeContent' name='TB_iframeContent"+Math.round(Math.random()*1000)+"' onload='tb_showIframe()' style='width:"+(ajaxContentW + 29)+"px;height:"+(ajaxContentH + 17)+"px;' >"+thickboxL10n.noiframes+"</iframe>");
  					}else{//iframe modal
  					jQuery("#TB_overlay").unbind();
  						jQuery("#TB_window").append("<iframe frameborder='0' hspace='0' src='"+urlNoQuery[0]+"' id='TB_iframeContent' name='TB_iframeContent"+Math.round(Math.random()*1000)+"' onload='tb_showIframe()' style='width:"+(ajaxContentW + 29)+"px;height:"+(ajaxContentH + 17)+"px;'>"+thickboxL10n.noiframes+"</iframe>");
--- 197,203 ----
  					urlNoQuery = url.split('TB_');
  					jQuery("#TB_iframeContent").remove();
  					if(params['modal'] != "true"){//iframe no modal
! 						jQuery("#TB_window").append("<div id='TB_title'><div id='TB_ajaxWindowTitle'>"+caption+"</div><div id='TB_closeAjaxWindow'><a href='#' id='TB_closeWindowButton' title='"+thickboxL10n.close+"'><div class='tb-close-icon'></div></a></div></div><iframe frameborder='0' hspace='0' src='"+urlNoQuery[0]+"' id='TB_iframeContent' name='TB_iframeContent"+Math.round(Math.random()*1000)+"' onload='tb_showIframe()' style='width:"+(ajaxContentW + 29)+"px;height:"+(ajaxContentH + 17)+"px;' >"+thickboxL10n.noiframes+"</iframe>");
  					}else{//iframe modal
  					jQuery("#TB_overlay").unbind();
  						jQuery("#TB_window").append("<iframe frameborder='0' hspace='0' src='"+urlNoQuery[0]+"' id='TB_iframeContent' name='TB_iframeContent"+Math.round(Math.random()*1000)+"' onload='tb_showIframe()' style='width:"+(ajaxContentW + 29)+"px;height:"+(ajaxContentH + 17)+"px;'>"+thickboxL10n.noiframes+"</iframe>");
***************
*** 208,214 ****
  			}else{// not an iframe, ajax
  					if(jQuery("#TB_window").css("visibility") != "visible"){
  						if(params['modal'] != "true"){//ajax no modal
! 						jQuery("#TB_window").append("<div id='TB_title'><div id='TB_ajaxWindowTitle'>"+caption+"</div><div id='TB_closeAjaxWindow'><a href='#' id='TB_closeWindowButton'><img src='" + tb_closeImage + "' /></a></div></div><div id='TB_ajaxContent' style='width:"+ajaxContentW+"px;height:"+ajaxContentH+"px'></div>");
  						}else{//ajax modal
  						jQuery("#TB_overlay").unbind();
  						jQuery("#TB_window").append("<div id='TB_ajaxContent' class='TB_modal' style='width:"+ajaxContentW+"px;height:"+ajaxContentH+"px;'></div>");
--- 205,211 ----
  			}else{// not an iframe, ajax
  					if(jQuery("#TB_window").css("visibility") != "visible"){
  						if(params['modal'] != "true"){//ajax no modal
! 						jQuery("#TB_window").append("<div id='TB_title'><div id='TB_ajaxWindowTitle'>"+caption+"</div><div id='TB_closeAjaxWindow'><a href='#' id='TB_closeWindowButton'><div class='tb-close-icon'></div></a></div></div><div id='TB_ajaxContent' style='width:"+ajaxContentW+"px;height:"+ajaxContentH+"px'></div>");
  						}else{//ajax modal
  						jQuery("#TB_overlay").unbind();
  						jQuery("#TB_window").append("<div id='TB_ajaxContent' class='TB_modal' style='width:"+ajaxContentW+"px;height:"+ajaxContentH+"px;'></div>");
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/langs/wp-langs-en.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/langs/wp-langs-en.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/langs/wp-langs-en.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/langs/wp-langs-en.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 106,112 ****
  download:"ieSpell not detected. Do you want to install it now?"
  },
  advhr:{
! advhr_desc:"Horizontale rule"
  },
  emotions:{
  emotions_desc:"Emotions"
--- 106,112 ----
  download:"ieSpell not detected. Do you want to install it now?"
  },
  advhr:{
! advhr_desc:"Horizontal rule"
  },
  emotions:{
  emotions_desc:"Emotions"
***************
*** 278,284 ****
  clipboard_msg:"Copy/Cut/Paste is not available in Mozilla and Firefox.",
  path:"Path",
  newdocument:"Are you sure you want to clear all contents?",
! toolbar_focus:"Jump to tool buttons - Alt + Q, Jump to editor - Alt-Z, Jump to element path - Alt-X",
  more_colors:"More colors",
  shortcuts_desc:"Accessibility Help",
  help_shortcut:" Press ALT F10 for toolbar. Press ALT 0 for help.",
--- 278,284 ----
  clipboard_msg:"Copy/Cut/Paste is not available in Mozilla and Firefox.",
  path:"Path",
  newdocument:"Are you sure you want to clear all contents?",
! toolbar_focus:"Jump to tool buttons - Alt+Q, Jump to editor - Alt-Z, Jump to element path - Alt-X",
  more_colors:"More colors",
  shortcuts_desc:"Accessibility Help",
  help_shortcut:" Press ALT F10 for toolbar. Press ALT 0 for help.",
***************
*** 400,406 ****
  rate:"Rate",
  uimode:"UI Mode",
  flash_options:"Flash options",
! qt_options:"Quicktime options",
  wmp_options:"Windows media player options",
  rmp_options:"Real media player options",
  shockwave_options:"Shockwave options",
--- 400,406 ----
  rate:"Rate",
  uimode:"UI Mode",
  flash_options:"Flash options",
! qt_options:"QuickTime options",
  wmp_options:"Windows media player options",
  rmp_options:"Real media player options",
  shockwave_options:"Shockwave options",
***************
*** 463,469 ****
  add_video:"Add Video",
  add_audio:"Add Audio",
  editgallery:"Edit Gallery",
! delgallery:"Delete Gallery"
  });
  
  tinyMCE.addI18n("en.wpeditimage",{
--- 463,470 ----
  add_video:"Add Video",
  add_audio:"Add Audio",
  editgallery:"Edit Gallery",
! delgallery:"Delete Gallery",
! wp_fullscreen_desc:"Distraction Free Writing mode (Alt + Shift + W)"
  });
  
  tinyMCE.addI18n("en.wpeditimage",{
***************
*** 499,503 ****
  s130:"130%",
  img_title:"Title",
  caption:"Caption",
! alt:"Alternate Text"
  });
--- 500,504 ----
  s130:"130%",
  img_title:"Title",
  caption:"Caption",
! alt:"Alternative Text"
  });
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/langs/wp-langs.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/langs/wp-langs.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/langs/wp-langs.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/langs/wp-langs.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 3,16 ****
  if ( ! defined( 'ABSPATH' ) )
  	exit;
  
  // deprecated, not used
  function mce_escape($text) {
  	return esc_js($text);
  }
  
- if ( ! class_exists( '_WP_Editors' ) )
- 	require( ABSPATH . WPINC . '/class-wp-editor.php' );
- 
  function wp_mce_translation() {
  
  	$default = array(
--- 3,16 ----
  if ( ! defined( 'ABSPATH' ) )
  	exit;
  
+ if ( ! class_exists( '_WP_Editors' ) )
+ 	require( ABSPATH . WPINC . '/class-wp-editor.php' );
+ 
  // deprecated, not used
  function mce_escape($text) {
  	return esc_js($text);
  }
  
  function wp_mce_translation() {
  
  	$default = array(
***************
*** 132,138 ****
  		),
  
  		'advhr' => array(
! 			'advhr_desc' => __('Horizontale rule')
  		),
  
  		'emotions' => array(
--- 132,138 ----
  		),
  
  		'advhr' => array(
! 			'advhr_desc' => __('Horizontal rule')
  		),
  
  		'emotions' => array(
***************
*** 446,452 ****
  		'rate' => __('Rate'),
  		'uimode' => __('UI Mode'),
  		'flash_options' => __('Flash options'),
! 		'qt_options' => __('Quicktime options'),
  		'wmp_options' => __('Windows media player options'),
  		'rmp_options' => __('Real media player options'),
  		'shockwave_options' => __('Shockwave options'),
--- 446,452 ----
  		'rate' => __('Rate'),
  		'uimode' => __('UI Mode'),
  		'flash_options' => __('Flash options'),
! 		'qt_options' => __('QuickTime options'),
  		'wmp_options' => __('Windows media player options'),
  		'rmp_options' => __('Real media player options'),
  		'shockwave_options' => __('Shockwave options'),
***************
*** 509,515 ****
  		'add_video' => __('Add Video'),
  		'add_audio' => __('Add Audio'),
  		'editgallery' => __('Edit Gallery'),
! 		'delgallery' => __('Delete Gallery')
  	);
  
  	$wpeditimage = array(
--- 509,516 ----
  		'add_video' => __('Add Video'),
  		'add_audio' => __('Add Audio'),
  		'editgallery' => __('Edit Gallery'),
! 		'delgallery' => __('Delete Gallery'),
! 		'wp_fullscreen_desc' => __('Distraction Free Writing mode (Alt + Shift + W)')
  	);
  
  	$wpeditimage = array(
***************
*** 545,551 ****
  		's130' => __('130%'),
  		'img_title' => __('Title'),
  		'caption' => __('Caption'),
! 		'alt' => __('Alternate Text')
  	);
  
  	$locale = _WP_Editors::$mce_locale;
--- 546,552 ----
  		's130' => __('130%'),
  		'img_title' => __('Title'),
  		'caption' => __('Caption'),
! 		'alt' => __('Alternative Text')
  	);
  
  	$locale = _WP_Editors::$mce_locale;
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/directionality/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/directionality/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/directionality/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/directionality/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 15,44 ****
  
  			t.editor = ed;
  
! 			ed.addCommand('mceDirectionLTR', function() {
! 				var e = ed.dom.getParent(ed.selection.getNode(), ed.dom.isBlock);
  
! 				if (e) {
! 					if (ed.dom.getAttrib(e, "dir") != "ltr")
! 						ed.dom.setAttrib(e, "dir", "ltr");
! 					else
! 						ed.dom.setAttrib(e, "dir", "");
  				}
  
! 				ed.nodeChanged();
  			});
  
  			ed.addCommand('mceDirectionRTL', function() {
! 				var e = ed.dom.getParent(ed.selection.getNode(), ed.dom.isBlock);
! 
! 				if (e) {
! 					if (ed.dom.getAttrib(e, "dir") != "rtl")
! 						ed.dom.setAttrib(e, "dir", "rtl");
! 					else
! 						ed.dom.setAttrib(e, "dir", "");
! 				}
! 
! 				ed.nodeChanged();
  			});
  
  			ed.addButton('ltr', {title : 'directionality.ltr_desc', cmd : 'mceDirectionLTR'});
--- 15,47 ----
  
  			t.editor = ed;
  
! 			function setDir(dir) {
! 				var dom = ed.dom, curDir, blocks = ed.selection.getSelectedBlocks();
! 
! 				if (blocks.length) {
! 					curDir = dom.getAttrib(blocks[0], "dir");
  
! 					tinymce.each(blocks, function(block) {
! 						// Add dir to block if the parent block doesn't already have that dir
! 						if (!dom.getParent(block.parentNode, "*[dir='" + dir + "']", dom.getRoot())) {
! 							if (curDir != dir) {
! 								dom.setAttrib(block, "dir", dir);
! 							} else {
! 								dom.setAttrib(block, "dir", null);
! 							}
! 						}
! 					});
! 
! 					ed.nodeChanged();
  				}
+ 			}
  
! 			ed.addCommand('mceDirectionLTR', function() {
! 				setDir("ltr");
  			});
  
  			ed.addCommand('mceDirectionRTL', function() {
! 				setDir("rtl");
  			});
  
  			ed.addButton('ltr', {title : 'directionality.ltr_desc', cmd : 'mceDirectionLTR'});
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/fullscreen/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 65,71 ****
  
  					// Fixes an IE bug where the scrollbars doesn't reappear
  					if (tinymce.isIE && (s.fullscreen_html_overflow == 'visible' || s.fullscreen_html_overflow == 'scroll'))
! 						s.fullscreen_html_overflow = 'auto'; 
  
  					if (s.fullscreen_overflow == '0px')
  						s.fullscreen_overflow = '';
--- 65,71 ----
  
  					// Fixes an IE bug where the scrollbars doesn't reappear
  					if (tinymce.isIE && (s.fullscreen_html_overflow == 'visible' || s.fullscreen_html_overflow == 'scroll'))
! 						s.fullscreen_html_overflow = 'auto';
  
  					if (s.fullscreen_overflow == '0px')
  						s.fullscreen_overflow = '';
***************
*** 79,91 ****
  						vp.h -= 1;
  
  					// Use fixed position if it exists
! 					if (tinymce.isIE6)
  						posCss = 'absolute;top:' + vp.y;
  					else
  						posCss = 'fixed;top:0';
  
  					n = DOM.add(DOM.doc.body, 'div', {
! 						id : 'mce_fullscreen_container', 
  						style : 'position:' + posCss + ';left:0;width:' + vp.w + 'px;height:' + vp.h + 'px;z-index:200000;'});
  					DOM.add(n, 'div', {id : 'mce_fullscreen'});
  
--- 79,91 ----
  						vp.h -= 1;
  
  					// Use fixed position if it exists
! 					if (tinymce.isIE6 || document.compatMode == 'BackCompat')
  						posCss = 'absolute;top:' + vp.y;
  					else
  						posCss = 'fixed;top:0';
  
  					n = DOM.add(DOM.doc.body, 'div', {
! 						id : 'mce_fullscreen_container',
  						style : 'position:' + posCss + ';left:0;width:' + vp.w + 'px;height:' + vp.h + 'px;z-index:200000;'});
  					DOM.add(n, 'div', {id : 'mce_fullscreen'});
  
***************
*** 127,133 ****
  						var vp = tinymce.DOM.getViewPort(), fed = t.fullscreenEditor, outerSize, innerSize;
  
  						// Get outer/inner size to get a delta size that can be used to calc the new iframe size
! 						outerSize = fed.dom.getSize(fed.getContainer().firstChild);
  						innerSize = fed.dom.getSize(fed.getContainer().getElementsByTagName('iframe')[0]);
  
  						fed.theme.resizeTo(vp.w - outerSize.w + innerSize.w, vp.h - outerSize.h + innerSize.h);
--- 127,133 ----
  						var vp = tinymce.DOM.getViewPort(), fed = t.fullscreenEditor, outerSize, innerSize;
  
  						// Get outer/inner size to get a delta size that can be used to calc the new iframe size
! 						outerSize = fed.dom.getSize(fed.getContainer().getElementsByTagName('table')[0]);
  						innerSize = fed.dom.getSize(fed.getContainer().getElementsByTagName('iframe')[0]);
  
  						fed.theme.resizeTo(vp.w - outerSize.w + innerSize.w, vp.h - outerSize.h + innerSize.h);
***************
*** 156,159 ****
  
  	// Register plugin
  	tinymce.PluginManager.add('fullscreen', tinymce.plugins.FullScreenPlugin);
! })();
\ No newline at end of file
--- 156,159 ----
  
  	// Register plugin
  	tinymce.PluginManager.add('fullscreen', tinymce.plugins.FullScreenPlugin);
! })();
